Name:           fastutil
Version:        7.0.7
Release:        7
Summary:        Fast & compact type-specific collections for Java
License:        ASL 2.0 and LGPLv2+
URL:            http://fastutil.di.unimi.it/
Source0:        https://github.com/vigna/fastutil/archive/%{version}.tar.gz

Patch0001:      fastutil-7.0.7-build.patch

BuildRequires:  ant ant-junit aqute-bnd emma gcc java-javadoc javapackages-local  make

BuildArch:      noarch

%description
Fastutil extends the Java Collections Framework by providing type-specific maps, sets, lists and
queues with a small memory footprint and fast access and insertion; provides also big (64-bit)
arrays, sets and lists, and fast, practical I/O classes for binary and text files.

The classes implement their standard counterpart interface (e.g., Map for maps) and can be plugged
into existing code. Moreover, they provide additional features (such as bidirectional iterators)
that are not available in the standard classes.

Besides objects and primitive types, fastutil classes provide support for references, that is,
objects that are compared using the equality operator rather than the equals() method.

%package        help
Summary:        Help documents for %{name}
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description    help
Manauals of API and other help documents for %{name}.

%prep
%autosetup -p1
find . -name "*.jar" -o -name "*.class" -print -delete

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," \
       src/it/unimi/dsi/fastutil/io/InspectableFileCachedInputStream.java \
       test/it/unimi/dsi/fastutil/io/InspectableFileCachedInputStreamTest.java

%pom_xpath_remove "pom:dependencies" pom-model.xml

%build
mkdir build
make -s clean sources
ant -Djar.base=%{_javadir}/emma -Dj2se.apiurl=%{_javadocdir}/java pom

%install
%mvn_file it.unimi.dsi:%{name} %{name}
%mvn_artifact dist/lib/pom.xml dist/lib/%{name}-%{version}.jar
%mvn_install -J docs

%check
mkdir reports
ant -Djar.base=%{_javadir}/emma junit

%files
%license LICENSE-2.0
%_javadir/*
%{_datadir}/maven*/*

%files help
%doc CHANGES README.md
%_javadocdir/%{name}

%changelog
* Sat Dec 21 2019 zhouyihang <zhouyihang1@huawei.com> - 7.0.7-7
- Package init
